org.springframework.core

## Interface Ordered

- All Known Subinterfaces:
    AspectInstanceFactory, AspectJPrecedenceInformation, GenericApplicationListener, MessagingAdviceBean, MetadataAwareAspectInstanceFactory, PriorityOrdered, SmartApplicationListener, TransactionalApplicationListener<E>, TransactionSynchronization
  All Known Implementing Classes:
    AbstractAdvisingBeanPostProcessor, AbstractAdvisorAutoProxyCreator, AbstractAspectJAdvice, AbstractAutoProxyCreator, AbstractBeanFactoryAwareAdvisingPostProcessor, AbstractBeanFactoryPointcutAdvisor, AbstractDetectingUrlHandlerMapping, AbstractDirtiesContextTestExecutionListener, AbstractGenericPointcutAdvisor, AbstractHandlerExceptionResolver, AbstractHandlerMapping, AbstractHandlerMapping, AbstractHandlerMethodAdapter, AbstractHandlerMethodExceptionResolver, AbstractHandlerMethodMapping, AbstractHandlerMethodMapping, AbstractMessageWriterResultHandler, AbstractPointcutAdvisor, AbstractTemplateViewResolver, AbstractTestExecutionListener, AbstractUrlHandlerMapping, AbstractUrlHandlerMapping, AnnotationAsyncExecutionInterceptor, AnnotationAwareAspectJAutoProxyCreator, ApplicationEventsTestExecutionListener, ApplicationListenerMethodAdapter, AspectJAfterAdvice, AspectJAfterReturningAdvice, AspectJAfterThrowingAdvice, AspectJAroundAdvice, AspectJAwareAdvisorAutoProxyCreator, AspectJExpressionPointcutAdvisor, AspectJMethodBeforeAdvice, AspectJPointcutAdvisor, AspectJWeavingEnabler, AsyncAnnotationAdvisor, AsyncAnnotationBeanPostProcessor, AsyncExecutionInterceptor, AutowiredAnnotationBeanPostProcessor, BeanFactoryAspectInstanceFactory, BeanFactoryCacheOperationSourceAdvisor, BeanFactoryJCacheOperationSourceAdvisor, BeanFactoryTransactionAttributeSourceAdvisor, BeanNameAutoProxyCreator, BeanNameUrlHandlerMapping, BeanNameViewResolver, CommonAnnotationBeanPostProcessor, ConfigurationClassPostProcessor, ContentNegotiatingViewResolver, ControllerAdviceBean, CustomAutowireConfigurer, CustomEditorConfigurer, CustomScopeConfigurer, DefaultAdvisorAutoProxyCreator, DefaultBeanFactoryPointcutAdvisor, DefaultEventListenerFactory, DefaultHandlerExceptionResolver, DefaultIntroductionAdvisor, DefaultPointcutAdvisor, DefaultSimpUserRegistry, DependencyInjectionTestExecutionListener, DirtiesContextBeforeModesTestExecutionListener, DirtiesContextTestExecutionListener, EventPublishingTestExecutionListener, ExceptionHandlerExceptionResolver, ExposeInvocationInterceptor, ExtendedBeanInfoFactory, FreeMarkerViewResolver, FreeMarkerViewResolver, GenericApplicationListenerAdapter, GroovyMarkupViewResolver, HandlerExceptionResolverComposite, HandlerFunctionAdapter, HandlerResultHandlerSupport, InfrastructureAdvisorAutoProxyCreator, InitDestroyAnnotationBeanPostProcessor, InternalResourceViewResolver, JmsListenerAnnotationBeanPostProcessor, LazySingletonAspectInstanceFactoryDecorator, MethodValidationPostProcessor, MultiServerUserRegistry, NameMatchMethodPointcutAdvisor, PersistenceAnnotationBeanPostProcessor, PersistenceExceptionTranslationAdvisor, PersistenceExceptionTranslationPostProcessor, PlaceholderConfigurerSupport, PreferencesPlaceholderConfigurer, PropertyOverrideConfigurer, PropertyPlaceholderConfigurer, PropertyResourceConfigurer, PropertySourcesPlaceholderConfigurer, PrototypeAspectInstanceFactory, ProxyProcessorSupport, ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor, RegexpMethodPointcutAdvisor, RequestMappingHandlerAdapter, RequestMappingHandlerMapping, RequestMappingHandlerMapping, RequestMappingInfoHandlerMapping, RequestMappingInfoHandlerMapping, RequiredAnnotationBeanPostProcessor, ResourceBundleViewResolver, ResourceHolderSynchronization, ResponseBodyResultHandler, ResponseEntityResultHandler, ResponseStatusExceptionResolver, RouterFunctionMapping, RouterFunctionMapping, ScheduledAnnotationBeanPostProcessor, ScriptFactoryPostProcessor, ScriptTemplateViewResolver, ScriptTemplateViewResolver, ServerResponseResultHandler, ServletTestExecutionListener, SimpleAspectInstanceFactory, SimpleBeanFactoryAwareAspectInstanceFactory, SimpleBeanInfoFactory, SimpleMappingExceptionResolver, SimpleMetadataAwareAspectInstanceFactory, SimpleUrlHandlerMapping, SimpleUrlHandlerMapping, SingletonAspectInstanceFactory, SingletonMetadataAwareAspectInstanceFactory, SourceFilteringListener, SpringFlushSynchronization, SpringSessionSynchronization, SqlScriptsTestExecutionListener, StaticMethodMatcherPointcutAdvisor, TilesViewResolver, TransactionalApplicationListenerAdapter, TransactionalApplicationListenerMethodAdapter, TransactionalEventListenerFactory, TransactionalTestExecutionListener, TransactionAttributeSourceAdvisor, TransactionSynchronizationAdapter, UrlBasedViewResolver, UrlBasedViewResolver, ViewResolutionResultHandler, ViewResolverComposite, ViewResolverSupport, WebSocketHandlerAdapter, WebSocketHandlerMapping, XmlViewResolver, XsltViewResolver

      public interface Ordered

  `Ordered` is an interface that can be implemented by objects that should be orderable, for example in a `Collection`.

  The actual `order` can be interpreted as prioritization, with the first object (with the lowest order value) having the highest priority.

  Note that there is also a priority marker for this interface: `PriorityOrdered`. Consult the Javadoc for `PriorityOrdered` for details on how `PriorityOrdered` objects are ordered relative to plain `Ordered` objects.

  Consult the Javadoc for `OrderComparator` for details on the sort semantics for non-ordered objects.

  Since:
    07.04.2003
  Author:
    Juergen Hoeller, Sam Brannen
  See Also:
    `PriorityOrdered`, `OrderComparator`, `Order`, `AnnotationAwareOrderComparator`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HIGHEST_PRECEDENCE` Useful constant for the highest precedence value.
    `static int` | `LOWEST_PRECEDENCE` Useful constant for the lowest precedence value.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOrder()` Get the order value of this object.

- - ### Field Detail

    - #### HIGHEST_PRECEDENCE

          static final int HIGHEST_PRECEDENCE

      Useful constant for the highest precedence value.
      See Also:
        `Integer.MIN_VALUE`, Constant Field Values

    - #### LOWEST_PRECEDENCE

          static final int LOWEST_PRECEDENCE

      Useful constant for the lowest precedence value.
      See Also:
        `Integer.MAX_VALUE`, Constant Field Values

  - ### Method Detail

    - #### getOrder

          int getOrder()

      Get the order value of this object.

      Higher values are interpreted as lower priority. As a consequence, the object with the lowest value has the highest priority (somewhat analogous to Servlet `load-on-startup` values).

      Same order values will result in arbitrary sort positions for the affected objects.

      Returns:
        the order value
      See Also:
        `HIGHEST_PRECEDENCE`, `LOWEST_PRECEDENCE`